from jnius import autoclass
from X3Dautoclass import *
X3D0 = X3DObject()
head00 = headObject()
meta000 = metaObject()
meta000.setName("title")
meta000.setContent("cobweb.x3d")
head00.addMeta(meta000)
meta002 = metaObject()
meta002.setName("creator")
meta002.setContent("John Carlson")
head00.addMeta(meta002)
meta004 = metaObject()
meta004.setName("description")
meta004.setContent("Tour around a prismatic sphere")
head00.addMeta(meta004)
meta006 = metaObject()
meta006.setName("generator")
meta006.setContent("X3D-Edit, https://savage.nps.edu/X3D-Edit")
head00.addMeta(meta006)
meta008 = metaObject()
meta008.setName("identifier")
meta008.setContent("http://coderextreme.net/X3DJSONLD/cobweb.x3d")
head00.addMeta(meta008)
X3D0.setHead(head00)
Scene02 = SceneObject()
NavigationInfo020 = NavigationInfoObject()
NavigationInfo020.setType(["ANY","WALK","EXAMINE","FLY","LOOKAT"])
Scene02.addChildren(NavigationInfo020)
Viewpoint022 = ViewpointObject()
Viewpoint022.setPosition([0,0,4])
Viewpoint022.setOrientation([1,0,0,0])
Viewpoint022.setDescription("Bubbles in action")
Scene02.addChildren(Viewpoint022)
Background024 = BackgroundObject()
Background024.setBackUrl(["cubemap/BK.png","http://coderextreme.net/X3DJSONLD/cubemap/BK.png"])
Background024.setBottomUrl(["cubemap/BT.png","http://coderextreme.net/X3DJSONLD/cubemap/BT.png"])
Background024.setFrontUrl(["cubemap/FR.png","http://coderextreme.net/X3DJSONLD/cubemap/FR.png"])
Background024.setLeftUrl(["cubemap/LF.png","http://coderextreme.net/X3DJSONLD/cubemap/LF.png"])
Background024.setRightUrl(["cubemap/RT.png","http://coderextreme.net/X3DJSONLD/cubemap/RT.png"])
Background024.setTopUrl(["cubemap/TP.png","http://coderextreme.net/X3DJSONLD/cubemap/TP.png"])
Scene02.addChildren(Background024)
ProtoDeclare026 = ProtoDeclareObject()
ProtoBody0260 = ProtoBodyObject()
Transform02600 = TransformObject()
Shape026000 = ShapeObject()
Sphere0260000 = SphereObject()
Shape026000.setGeometry(Sphere0260000)
Sphere0260000.setRadius(0.25)
Shape026000.setGeometry(Sphere0260000)
Appearance0260002 = AppearanceObject()
Material02600020 = MaterialObject()
Appearance0260002.setMaterial(Material02600020)
Material02600020.setDiffuseColor([1,0,0])
Material02600020.setTransparency(0.2)
Appearance0260002.setMaterial(Material02600020)
Shape026000.setAppearance(Appearance0260002)
Shape026000.setAppearance(Appearance0260002)
Transform02600.addChildren(Shape026000)
Script026002 = ScriptObject()
field0260020 = fieldObject()
field0260020.setName("scale")
field0260020.setAccessType("inputOutput")
field0260020.setType("SFVec3f")
field0260020.setValue("1 1 1")
Script026002.addField(field0260020)
field0260022 = fieldObject()
field0260022.setName("translation")
field0260022.setAccessType("inputOutput")
field0260022.setType("SFVec3f")
field0260022.setValue("0 0 0")
Script026002.addField(field0260022)
field0260024 = fieldObject()
field0260024.setName("velocity")
field0260024.setAccessType("inputOutput")
field0260024.setType("SFVec3f")
field0260024.setValue("0 0 0")
Script026002.addField(field0260024)
field0260026 = fieldObject()
field0260026.setName("scalvel")
field0260026.setAccessType("inputOutput")
field0260026.setType("SFVec3f")
field0260026.setValue("0 0 0")
Script026002.addField(field0260026)
field0260028 = fieldObject()
field0260028.setName("set_fraction")
field0260028.setAccessType("inputOnly")
field0260028.setType("SFFloat")
Script026002.addField(field0260028)
Script026002.setDEF("bounce")
Transform02600.addChildren(Script026002)
TimeSensor026004 = TimeSensorObject()
TimeSensor026004.setDEF("bubbleClock")
TimeSensor026004.setCycleInterval(10)
TimeSensor026004.setLoop(True)
Transform02600.addChildren(TimeSensor026004)
ROUTE026006 = ROUTEObject()
ROUTE026006.setFromNode("transform")
ROUTE026006.setFromField("translation_changed")
ROUTE026006.setToNode("bounce")
ROUTE026006.setToField("set_translation")
Transform02600.addChildren(ROUTE026006)
ROUTE026008 = ROUTEObject()
ROUTE026008.setFromNode("transform")
ROUTE026008.setFromField("scale_changed")
ROUTE026008.setToNode("bounce")
ROUTE026008.setToField("set_scale")
Transform02600.addChildren(ROUTE026008)
ROUTE0260010 = ROUTEObject()
ROUTE0260010.setFromNode("bounce")
ROUTE0260010.setFromField("translation_changed")
ROUTE0260010.setToNode("transform")
ROUTE0260010.setToField("set_translation")
Transform02600.addChildren(ROUTE0260010)
ROUTE0260012 = ROUTEObject()
ROUTE0260012.setFromNode("bounce")
ROUTE0260012.setFromField("scale_changed")
ROUTE0260012.setToNode("transform")
ROUTE0260012.setToField("set_scale")
Transform02600.addChildren(ROUTE0260012)
ROUTE0260014 = ROUTEObject()
ROUTE0260014.setFromNode("bubbleClock")
ROUTE0260014.setFromField("fraction_changed")
ROUTE0260014.setToNode("bounce")
ROUTE0260014.setToField("set_fraction")
Transform02600.addChildren(ROUTE0260014)
Transform02600.setDEF("transform")
ProtoBody0260.setChildren(Transform02600)
ProtoDeclare026.setProtoBody(ProtoBody0260)
ProtoDeclare026.setName("Bubble")
Scene02.addChildren(ProtoDeclare026)
ProtoInstance028 = ProtoInstanceObject()
ProtoInstance028.setName("Bubble")
ProtoInstance028.setDEF("bubbleA")
Scene02.addChildren(ProtoInstance028)
ProtoInstance0210 = ProtoInstanceObject()
ProtoInstance0210.setName("Bubble")
ProtoInstance0210.setDEF("bubbleB")
Scene02.addChildren(ProtoInstance0210)
ProtoInstance0212 = ProtoInstanceObject()
ProtoInstance0212.setName("Bubble")
ProtoInstance0212.setDEF("bubbleC")
Scene02.addChildren(ProtoInstance0212)
ProtoInstance0214 = ProtoInstanceObject()
ProtoInstance0214.setName("Bubble")
ProtoInstance0214.setDEF("bubbleD")
Scene02.addChildren(ProtoInstance0214)
X3D0.setScene(Scene02)
X3D0.setProfile("Immersive")
X3D0.setVersion("3.3")
