from jnius import autoclass
from X3Dautoclass import *
X3D0 = X3DObject()
Scene00 = SceneObject()
GeoViewpoint002 = GeoViewpointObject()
GeoViewpoint002.setDEF("Tour")
GeoViewpoint002.setPosition([0,0,4])
GeoViewpoint002.setOrientation([1,0,0,0])
GeoViewpoint002.setDescription("Tour Views")
Scene00.addChildren(GeoViewpoint002)
Background004 = BackgroundObject()
Background004.setBackUrl(["cubemap/BK.png","http://coderextreme.net/X3DJSONLD/cubemap/BK.png"])
Background004.setBottomUrl(["cubemap/BT.png","http://coderextreme.net/X3DJSONLD/cubemap/BT.png"])
Background004.setFrontUrl(["cubemap/FR.png","http://coderextreme.net/X3DJSONLD/cubemap/FR.png"])
Background004.setLeftUrl(["cubemap/LF.png","http://coderextreme.net/X3DJSONLD/cubemap/LF.png"])
Background004.setRightUrl(["cubemap/RT.png","http://coderextreme.net/X3DJSONLD/cubemap/RT.png"])
Background004.setTopUrl(["cubemap/TP.png","http://coderextreme.net/X3DJSONLD/cubemap/TP.png"])
Scene00.addChildren(Background004)
Transform006 = TransformObject()
Shape0060 = ShapeObject()
Sphere00600 = SphereObject()
Shape0060.setGeometry(Sphere00600)
Shape0060.setGeometry(Sphere00600)
Appearance00602 = AppearanceObject()
Material006020 = MaterialObject()
Appearance00602.setMaterial(Material006020)
Material006020.setDiffuseColor([0.7,0.7,0.7])
Material006020.setSpecularColor([0.5,0.5,0.5])
Appearance00602.setMaterial(Material006020)
Shape0060.setAppearance(Appearance00602)
Shape0060.setAppearance(Appearance00602)
Transform006.addChildren(Shape0060)
Scene00.addChildren(Transform006)
TimeSensor008 = TimeSensorObject()
TimeSensor008.setDEF("TourTime")
TimeSensor008.setCycleInterval(5)
TimeSensor008.setLoop(True)
Scene00.addChildren(TimeSensor008)
GeoPositionInterpolator0010 = GeoPositionInterpolatorObject()
GeoPositionInterpolator0010.setDEF("TourPosition")
GeoPositionInterpolator0010.setKey([0,1])
GeoPositionInterpolator0010.setKeyValue([0.0015708,0,4,0,0.0015708,4])
Scene00.addChildren(GeoPositionInterpolator0010)
Script0012 = ScriptObject()
field00120 = fieldObject()
field00120.setName("set_cycle")
field00120.setAccessType("inputOnly")
field00120.setType("SFTime")
Script0012.addField(field00120)
field00122 = fieldObject()
field00122.setName("val")
field00122.setAccessType("inputOutput")
field00122.setType("SFFloat")
field00122.setValue("0")
Script0012.addField(field00122)
field00124 = fieldObject()
field00124.setName("positions")
field00124.setAccessType("inputOutput")
field00124.setType("MFVec3d")
field00124.setValue("0.0015708 0 4 0 0.0015708 4")
Script0012.addField(field00124)
field00126 = fieldObject()
field00126.setName("position")
field00126.setAccessType("inputOutput")
field00126.setType("MFVec3d")
field00126.setValue("0.0015708 0 4 0 0.0015708 4")
Script0012.addField(field00126)
Script0012.setDEF("RandomTourTime")
Scene00.addChildren(Script0012)
ROUTE0014 = ROUTEObject()
ROUTE0014.setFromNode("TourTime")
ROUTE0014.setFromField("cycleTime")
ROUTE0014.setToNode("RandomTourTime")
ROUTE0014.setToField("set_cycle")
Scene00.addChildren(ROUTE0014)
ROUTE0016 = ROUTEObject()
ROUTE0016.setFromNode("RandomTourTime")
ROUTE0016.setFromField("position")
ROUTE0016.setToNode("TourPosition")
ROUTE0016.setToField("keyValue")
Scene00.addChildren(ROUTE0016)
ROUTE0018 = ROUTEObject()
ROUTE0018.setFromNode("TourTime")
ROUTE0018.setFromField("fraction_changed")
ROUTE0018.setToNode("TourPosition")
ROUTE0018.setToField("set_fraction")
Scene00.addChildren(ROUTE0018)
ROUTE0020 = ROUTEObject()
ROUTE0020.setFromNode("TourPosition")
ROUTE0020.setFromField("value_changed")
ROUTE0020.setToNode("Tour")
ROUTE0020.setToField("set_position")
Scene00.addChildren(ROUTE0020)
X3D0.setScene(Scene00)
X3D0.setProfile("Full")
X3D0.setVersion("3.3")
